
Installer - Feature #29963

Remove the dependency on foreman-maintain

05/29/2020 06:22 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: foreman-installer script   

Target version: 2.2.0   

Difficulty:  Fixed in Releases: 2.2.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/510

  

Description

Currently foreman-maintain is called to stop and start services in the EL7 upgrade. However, foreman-maintain is unavailable on

Debian. It's also possibly a circular problem because foreman-maintain depends on the installer for certain actions so it is possible to

end up in an infinite loop.

The installer should be able to stop and start services by calling systemctl.

Associated revisions

Revision 826d106b - 07/01/2020 05:31 PM - Ewoud Kohl van Wijngaarden

Fixes #29963 - Manage services without foreman-maintain

Currently foreman-maintain is called to stop and start services in the

EL7 upgrade. However, foreman-maintain is unavailable on Debian. It's

also possibly a circular problem because foreman-maintain depends on the

installer for certain actions so it is possible to end up in an infinite

loop.

History

#1 - 05/29/2020 06:25 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/510 added

#2 - 07/01/2020 05:31 PM - The Foreman Bot

- Fixed in Releases 2.2.0 added

#3 - 07/01/2020 06:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset installer|826d106b529018f5682bf51ad79172cf1f518f3b.
